aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog4
-rwxr-xr-xsh/net.sh5
2 files changed, 8 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index cdd08e5e..ff6945c6 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for Gentoo System Intialization ("rc") scripts
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPLv2
+ 02 May 2007; Roy Marples <uberlord@gentoo.org>:
+
+ Don't delete addresses for PPP interfaces, #176764.
+
30 Apr 2007; Roy Marples <uberlord@gentoo.org>:
Stop using the [ -z "$@" ] test, use [ $# = 0 ] instead, #176554.
diff --git a/sh/net.sh b/sh/net.sh
index 27c81ba1..649e79e5 100755
--- a/sh/net.sh
+++ b/sh/net.sh
@@ -560,7 +560,10 @@ stop() {
fi
done
- _delete_addresses "${IFACE}"
+ # Only delete addresses for non PPP interfaces
+ if ! type is_ppp >/dev/null 2>/dev/null || ! is_ppp ; then
+ _delete_addresses "${IFACE}"
+ fi
for module in ${MODULES} ; do
if type "${module}_post_stop" >/dev/null 2>/dev/null ; then